<template>
    <tr>
        <td class=" align-middle">
            <!-- <check-box ></check-box> -->
            <div class="trash text-center"><i class="fa fa-trash-can" @click="cleanInput"></i></div>
        </td>
        <td 
            class="text-center"
            v-for="(item, index) in items" 
            :key="index"
        >
            <input 
                class="form-control"  
                :name="item.name" 
                style="height:30px;"
                v-model="item.value"
            />
        </td>
    </tr>
</template>

<script>
import arrayDataMixin from '@/mixins/arrayDataMixin';
export default {
    name: 'InputTable',
    components: {
        arrayDataMixin
    },
    mixins: [arrayDataMixin],
    methods: {
        cleanInput(){
            this.$emit('cleanInput');
        }
    }
}
</script>

<style>
    
</style>
